The Partners GraphQL API responded unsuccessfully with the HTTP Status 200 and errors

Solved

The Partners GraphQL API responded unsuccessfully with the HTTP Status 200 and errors

kevdev1
Visitor
3 1 3

Running npm run deploy to deploy checkout extensions and receiving the following error:

The Partners GraphQL API responded unsuccessfully with the HTTP status    │
│  200 and errors:                                                             │
│                                                                              │
│    [                                                                         │
│    {                                                                         │
│      "message": "InputObject 'DeploymentCreateInput' doesn't accept          │
│  argument 'label'",                                                          │
│      "locations": [                                                          │
│        {                                                                     │
│          "line": 10,                                                         │
│          "column": 93                                                        │
│        }                                                                     │
│      ],                                                                      │
│      "path": [                                                               │
│        "mutation CreateDeployment",                                          │
│        "deploymentCreate",                                                   │
│        "input",                                                              │
│        "label"                                                               │
│      ],                                                                      │
│      "extensions": {                                                         │
│        "code": "argumentNotAccepted",                                        │
│        "name": "DeploymentCreateInput",                                      │
│        "typeName": "InputObject",                                            │
│        "argumentName": "label"                                               │
│      }                                                                       │
│    },                                                                        │
│    {                                                                         │
│      "message": "Variable $label is declared by CreateDeployment but not     │
│  used",                                                                      │
│      "locations": [                                                          │
│        {                                                                     │
│          "line": 2,                                                          │
│          "column": 3                                                         │
│        }                                                                     │
│      ],                                                                      │
│      "path": [                                                               │
│        "mutation CreateDeployment"                                           │
│      ],                                                                      │
│      "extensions": {                                                         │
│        "code": "variableNotUsed",                                            │
│        "variableName": "label"                                               │
│      }                                                                       │
│    }                                                                         │
│  ]                                                                           │
│                                                                              │
│                                                                              │
│  To investigate the issue, examine this stack trace:                         │
│    at makeRequest (graphql-request/src/index.ts:441)                         │
│      throw new ClientError(                                                  │
│    at processTicksAndRejections (node:internal/process/task_queues:96)       │
│    at async debugLogResponseInfo                                             │
│    (@shopify/cli-kit/src/private/node/api.ts:25)                             │
│      response = await request                                                │
│    at async graphqlRequest                                                   │
│    (@shopify/cli-kit/src/public/node/api/graphql.ts:44)                      │
│      const response = await debugLogResponseInfo(                            │
│    at async uploadExtensionsBundle                                           │
│    (@shopify/app/src/cli/services/deploy/upload.ts:130)                      │
│      const result: CreateDeploymentSchema = await partnersRequest(mutation,  │
│       options.token, variables)                                              │
│    at task (@shopify/app/src/cli/services/deploy.ts:125)                     │
│      ;({validationErrors, deploymentId} = await uploadExtensionsBundle({     │
│    at async runTask                                                          │
│    (@shopify/cli-kit/src/private/node/ui/components/Tasks.tsx:43)            │
│      return await task.task(ctx, task)                                       │
│    at async runTasks                                                         │
│    (@shopify/cli-kit/src/private/node/ui/components/Tasks.tsx:76)            │
│      const subTasks = await runTask(task, ctx.current)


I've found some related discussions regarding this here and here but the error messages were slightly different.

Works fine when I run npm run dev, this is only encountered when I run npm run deploy or npm run deploy -- --reset.

Accepted Solution (1)

kevdev1
Visitor
3 1 3

This is an accepted solution.

So I was able to resolve this issue by upgrading to the latest CLI (npm run shopify upgrade). Be aware that deployment will change after upgrading. Now when deploying all extensions will be released together in an "app version". https://shopify.dev/docs/apps/deployment/extension#simplified-deployment 

View solution in original post

Replies 4 (4)

Robosell
Shopify Partner
2 0 0

same question

Robosell - Rescue Traffic & Increase Revenue


If you find my reply helpful, please hit Like & Mark as Solution


Get to us: App Store | Blog | Youtube | Help Center

fullmetal
Shopify Partner
13 0 2

Same!

kevdev1
Visitor
3 1 3

This is an accepted solution.

So I was able to resolve this issue by upgrading to the latest CLI (npm run shopify upgrade). Be aware that deployment will change after upgrading. Now when deploying all extensions will be released together in an "app version". https://shopify.dev/docs/apps/deployment/extension#simplified-deployment 

leo-hackin
Shopify Partner
3 0 2

Thanks @kevdev1 . Worked for me! 🙂